Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf.codec
Class JBIG2SegmentReader.JBIG2Page

    java.lang.Object
      com.lowagie.text.pdf.codec.JBIG2SegmentReader.JBIG2Page

Enclosing class:
  JBIG2SegmentReader

    public static class JBIG2SegmentReader.JBIG2Page

extends java.lang.Object

Inner class that holds information about a JBIG2 page.

Since:
  2.1.5

Field Summary
`int` | `page`
`int` | `pageBitmapHeight`
`int` | `pageBitmapWidth`
`private java.util.SortedMap` | `segs`
`private JBIG2SegmentReader` | `sr`

Constructor Summary
`JBIG2SegmentReader.JBIG2Page(int page, JBIG2SegmentReader sr)`

Method Summary
`void` | `addSegment(JBIG2SegmentReader.JBIG2Segment s)`
`byte[]` | `getData(boolean for_embedding)` return as a single byte array the header-data for each segment in segment number order, EMBEDDED organization, but i am putting the needed segments in SEQUENTIAL organization.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### page

    public final int page

### sr

    private final JBIG2SegmentReader sr

### segs

    private final java.util.SortedMap segs

### pageBitmapWidth

    public int pageBitmapWidth

### pageBitmapHeight

    public int pageBitmapHeight

Constructor Detail

### JBIG2SegmentReader.JBIG2Page

    public JBIG2SegmentReader.JBIG2Page(int page,
                                        JBIG2SegmentReader sr)

Method Detail

### getData

    public byte[] getData(boolean for_embedding)
                   throws java.io.IOException

  return as a single byte array the header-data for each segment in segment number order, EMBEDDED organization, but i am putting the needed segments in SEQUENTIAL organization. if for_embedding, skip the segment types that are known to be not for acrobat.

  Parameters:
    `for_embedding` -
  Returns:
    a byte array
  Throws:
    `java.io.IOException`

### addSegment

    public void addSegment(JBIG2SegmentReader.JBIG2Segment s)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD